Index: trunk/expressoCalendar/inc/class.ui_migration.inc.php
===================================================================
--- trunk/expressoCalendar/inc/class.ui_migration.inc.php	(revision 5804)
+++ trunk/expressoCalendar/inc/class.ui_migration.inc.php	(revision 5804)
@@ -0,0 +1,282 @@
+<?php
+class Migra{
+		public $local;
+		public $login; 
+		public $senha; 
+		public $banco;
+		public $banco2;		
+		public $porta;
+
+		public $current_base;
+		public $new_base;
+		
+		/*
+		*	TODO - Implementar:
+		*	Repetição
+		*	Alarm
+		*	ACL
+		*/
+	
+		function __construct()
+		{
+                    include_once dirname(__FILE__ ).'/../../header.inc.php';
+		
+                    if (is_array($_SESSION['phpgw_info']['expresso']['server']))
+                        $GLOBALS['phpgw_info']['server'] = $_SESSION['phpgw_info']['expresso']['server'];
+                    else
+                    $_SESSION['phpgw_info']['expresso']['server'] = $GLOBALS['phpgw_info']['server'];
+					
+			$local = $_SESSION['phpgw_info']['expresso']['server']['db_host'];
+			$login = $_SESSION['phpgw_info']['expresso']['server']['db_user'];
+			$senha = $_SESSION['phpgw_info']['expresso']['server']['db_pass'];
+			$banco = $_SESSION['phpgw_info']['expresso']['server']['db_name'];
+			$porta = $_SESSION['phpgw_info']['expresso']['server']['db_port'];
+			$banco2 = $banco;
+
+			$this->current_base = pg_connect("host='$local' port='$porta' dbname='$banco' user='$login' password='$senha'");
+			$this->new_base = pg_connect("host='$local' port='$porta' dbname='$banco2' user='$login' password='$senha'");
+		}
+		
+		//Verifica e/ou cria agenda
+		function as_calendar($uid){
+			$sql = "select (calendar_id) FROM calendar_signature where user_uidnumber = ".$uid." and is_owner = 1";		
+			$result = pg_query($this->new_base ,$sql);
+			if (!$line = pg_fetch_assoc($result)) {
+					$last_resource = pg_query($this->new_base, "insert into calendar (name, location) values('Calendar' , 'Calendar' ) RETURNING id");
+					$last = pg_fetch_assoc($last_resource);
+					
+					$id_resource =  pg_query($this->new_base, "insert into calendar_signature(user_uidnumber, calendar_id, is_owner, font_color, background_color, border_color) values(".$uid.", ".$last['id'].", 1, 'FFFFFF', '3366CC', '3366CC') RETURNING id");
+					$calendar = pg_fetch_assoc($id_resource);
+					return $calendar['id'];
+			}else{
+				$result = pg_query($this->new_base ,$sql);
+				while($evento = pg_fetch_array($result)){
+					return $evento['calendar_id'];
+				}
+			}
+		}
+		
+		//Usuarios de um evento
+		function as_user($cal_id, $calendar_object ,$owner){
+			$sql_select_user = "select * from phpgw_cal_user where cal_id = ".$cal_id;			
+			$result = pg_query($this->current_base ,$sql_select_user);
+				
+			while($evento = pg_fetch_array($result)){
+				$sql_insert = "insert into calendar_participant (user_info_id, object_id, is_organizer, acl ,is_external, participant_status_id) values ( ";
+				$sql_insert .= $evento['cal_login'].", ";
+				$sql_insert .= $calendar_object.", ";
+				
+				if ($owner == $evento['cal_login']){
+					$sql_insert .= "1, ";
+					$sql_insert .= '\'rowi\', ';
+				}else{
+					$sql_insert .= "0, ";
+					$sql_insert .= '\'r\', ';
+				}
+				$sql_insert .= "0, ";
+				
+				if($evento['cal_status'] == 'A')
+					$sql_insert .= "1) ";
+				else if ($evento['cal_status'] == 'U')
+					$sql_insert .= "4) ";
+				else if ($evento['cal_status'] == 'R')
+					$sql_insert .= "3) ";
+				else if ($evento['cal_status'] == 'T')
+					$sql_insert .= "2) ";				
+				pg_query($this->new_base ,$sql_insert);
+
+				$Id_Calendar_User = $this->as_calendar($evento['cal_login']);
+				$sql_insert_relcao = 'insert into calendar_to_calendar_object (calendar_id, calendar_object_id) values ( ';
+				$sql_insert_relcao .= $Id_Calendar_User.', ';
+				$sql_insert_relcao .= $calendar_object.' )';
+				pg_query($this->new_base ,$sql_insert_relcao);
+				
+			}
+		}
+		//Alarmes de um evento
+		function as_alarm($cal_id, $date_ini, $date_end){
+			$sql_select_evento = "select * from phpgw_async where id like '%".$cal_id."%'";			
+			$result = pg_query($this->current_base ,$sql_select_evento);
+				
+			while($evento = pg_fetch_array($result)){			
+				if(!$result['account_id'])
+					continue;
+				$sql_insert = "insert into calendar_alarm (action_id, time, range_end, range_start, unit, participant_id, object_id,sent) values ( ";
+				//action_id
+				$sql_insert .= "1, ";
+				
+				//time
+				$time =  split (":", $result['times']);
+				$sql_insert .= substr($time, -1).", ";
+				//range_end
+				$sql_insert .= "'".$date_end."', ";
+				//range_start
+				$sql_insert .= "'".$date_ini."', ";
+				//arrumar unit
+				$sql_insert .= "1, ";
+				//participant_id
+				$sql_insert .= $result['account_id'].", ";
+				//object_id
+				$sql_insert .= $cal_id.", ";
+				//sent
+				if($date_ini > time())
+					$sql_insert .= "0 ) ";
+				else
+					$sql_insert .= "1 ) ";
+				
+				pg_query($this->new_base ,$sql_insert);		
+			}
+		}
+		
+		//Usuarios externos de um evento
+		function as_user_external($cal_id, $calendar_object ,$owner, $ex_participante){
+		
+			$participants_ex = base64_decode($ex_participante);
+			//Participantes externos serializados
+			try {
+				$participants_ex = unserialize($participants_ex);
+				foreach ($participants_ex as $ex){
+				
+					$sql_insert = "insert into calendar_ex_participant (name, mail, owner) values ( ";
+					if(array_key_exists('cn', $ex)) 
+						$sql_insert .= "'".$ex['cn']."', ";
+					else
+						$sql_insert .= "'', ";
+					$sql_insert .= "'".$ex['mail']."', ";
+					$sql_insert .= $owner.") RETURNING id";
+					
+					$result = pg_query($this->new_base ,$sql_insert);
+					
+					$id_external = pg_fetch_assoc($result);	
+					$sql_insert = "insert into calendar_participant (user_info_id, object_id, is_organizer, is_external, participant_status_id) values ( ";
+					$sql_insert .=  $id_external['id'].", ";
+					$sql_insert .=  $calendar_object.", ";
+					$sql_insert .=  "0, ";
+					$sql_insert .=  "1, ";
+					$sql_insert .=  "4 ) ";
+						
+					pg_query($this->new_base ,$sql_insert);
+				}
+			//participantes externos normais
+			} catch (Exception $e) {
+				$participants_ex = split(',', $ex_participante);
+				
+				foreach ($participants_ex as $ex){
+					$sql_insert = "insert into calendar_ex_participant (mail, owner) values ( ";
+					$sql_insert .= "'".$ex."', ";
+					$sql_insert .= $owner.") RETURNING id";
+					
+					$result = pg_query($this->new_base ,$sql_insert);
+					
+					$id_external = pg_fetch_assoc($result);
+					
+					
+					$sql_insert = "insert into calendar_participant (user_info_id, object_id, is_organizer, is_external, participant_status_id) values ( ";
+					$sql_insert .=  $id_external['id'].", ";
+					$sql_insert .=  $calendar_object.", ";
+					$sql_insert .=  "0, ";
+					$sql_insert .=  "1, ";
+					$sql_insert .=  "4 ) ";
+					pg_query($this->new_base ,$sql_insert);
+					
+				}			
+			}		
+		}
+		
+		//
+		function calendar(){
+			$sql = "SELECT * FROM phpgw_cal";			
+			//Todo
+			//Implementar Repetição
+						
+			$result = pg_query($this->current_base, $sql);
+			while($evento = pg_fetch_array($result)){
+			
+				$sql_insert = "insert into calendar_object
+				(
+					type_id, cal_uid, dtstamp, 
+					dtstart, description, dtend, 
+					location, class_id, last_update,
+					range_end, range_start,
+					summary, allday, repeat, tzid			
+				)		
+						
+			values(";			
+				//remove lixos
+				if($evento['owner'] == 0)
+					continue;
+				if($evento['mdatetime'] == "" or $evento['mdatetime'] == null)
+					continue;
+				if($evento['datetime'] == "" or $evento['datetime'] == null)
+					continue;
+				if($evento['edatetime'] == "" or $evento['edatetime'] == null)
+					continue;
+				//type_id
+				$sql_insert .= "1, ";
+				//cal_uid
+				$sql_insert .= "'".mt_rand()."@Expresso', ";
+				//$sql_insert .= $this->as_calendar($evento['owner']).", ";
+				//dtstamp	
+				$sql_insert .= $evento['mdatetime']."000, ";
+				//dtstart
+				$sql_insert .= $evento['datetime']."000, ";
+				//description
+				if ($evento['description'] == "" or $evento['description'] == null)
+					$sql_insert .= "'', ";
+				else
+					$sql_insert .= "'".$evento['description']."', ";
+				//dtend
+				$sql_insert .= $evento['edatetime']."000, ";
+				//location
+				if ($evento['location'] == "" or $evento['location'] == null)
+					$sql_insert .= "'', ";
+				else
+					$sql_insert .= "'".$evento['location']."', ";
+				//class_id
+				if($evento['is_public'] == 1){
+					if($evento['cal_type'] == 'e')
+						$sql_insert .= "1, ";
+					else
+						$sql_insert .= "3, ";
+				}else
+					$sql_insert .= "2, ";
+				//last_update	
+				$sql_insert .= $evento['last_update'].", "; 
+				//range_end
+				$sql_insert .= "'".$evento['edatetime']."', ";				
+				//calendar_id
+				//$sql_insert .=  $this->as_calendar($evento['owner']).", ";
+				//range_start
+				$sql_insert .= "'".$evento['datetime']."', ";
+				//summary
+				if ($evento['title'] == "" or $evento['title'] == null)
+					$sql_insert .= "'', ";
+				else
+					$sql_insert .= "'".$evento['title']."', ";
+				//allday
+				$sql_insert .= "0, ";
+				//repeat
+				$sql_insert .= "0, ";
+				//tzid
+				$sql_insert .= "'America/Sao_Paulo'";
+				
+				$sql_insert .= 	" ) RETURNING id";			
+								
+				$last_resource = pg_query($this->new_base, $sql_insert);
+				$calendar = pg_fetch_assoc($last_resource);
+				
+				//participantes de um evento
+				$this->as_user($evento['cal_id'] ,$calendar['id'], $evento['owner']);
+				
+				//participantes externos de um evento
+				if($evento['ex_participants'] != "" and $evento['ex_participants'] != 'YTowOnt9')
+					$this->as_user_external($evento['cal_id'] ,$calendar['id'], $evento['owner'], $evento['ex_participants']);	
+				
+				//Por equanto desativado
+				//$this->as_alarm($evento['cal_id'], $evento['datetime'],$evento['edatetime']) ;	
+				
+			}
+			return 'sucesss';
+		}
+	}
+?>
Index: trunk/prototype/services/OpenLDAP.php
===================================================================
--- trunk/prototype/services/OpenLDAP.php	(revision 5441)
+++ trunk/prototype/services/OpenLDAP.php	(revision 5804)
@@ -28,7 +28,7 @@
         
 	if( $justthese === false || $justthese === null )
-		$sr =  ldap_search( $this->con, $this->config['context'], '('.$this->config['idAtribute'].'='.$uri['id'].')' );
+		$sr =  ldap_search( $this->con, $this->config['context'], '('.$map['id'].'='.$uri['id'].')' );
 	else
-		$sr =  ldap_search( $this->con, $this->config['context'], '('.$this->config['idAtribute'].'='.$uri['id'].')', self::parseJustthese($justthese, $map) );
+		$sr =  ldap_search( $this->con, $this->config['context'], '('.$map['id'].'='.$uri['id'].')', self::parseJustthese($justthese, $map) );
 
 	if(!$sr) return false; 
Index: trunk/prototype/services/iCal.php
===================================================================
--- trunk/prototype/services/iCal.php	(revision 5780)
+++ trunk/prototype/services/iCal.php	(revision 5804)
@@ -400,5 +400,5 @@
                                         $mail['body'] = parseTPL::load_tpl( $data ,ROOTPATH.'/modules/calendar/templates/'.$tpl.'.tpl');
                                         $mail['subject'] = parseTPL::load_tpl( $subject ,ROOTPATH.'/modules/calendar/templates/notify_subject.tpl');;
-                                        $mail['from'] = Config::me('mail');   
+                                        $mail['from'] = '"'.Config::me('cn').'" <'.Config::me('mail').'>'; 
                                         $mail['to'] = $organizerMail;
  
Index: trunk/prototype/config/user.ini
===================================================================
--- trunk/prototype/config/user.ini	(revision 5514)
+++ trunk/prototype/config/user.ini	(revision 5804)
@@ -51,2 +51,3 @@
 phpgwAccountType = phpgwAccountType
 phpgwAccountVisible = phpgwAccountVisible
+gidNumber = gidNumber
Index: trunk/prototype/config/group.ini
===================================================================
--- trunk/prototype/config/group.ini	(revision 5804)
+++ trunk/prototype/config/group.ini	(revision 5804)
@@ -0,0 +1,25 @@
+; [service]
+; OpenLDAP = ''
+; PostgreSQL = external
+; 
+; [service.conflict]
+; checkExternal = modules/calendar/interceptors/DBMapping.php
+
+service = OpenLDAP
+
+[OpenLDAP.before.find]
+encodeFindGroup = modules/calendar/interceptors/LDAPMapping.php
+
+[OpenLDAP.before.read]
+encodeFindGroup = modules/calendar/interceptors/LDAPMapping.php
+
+[OpenLDAP.mapping]
+id = gidNumber
+name = cn
+mail = mail
+description = description
+users = memberUid
+objectClass = objectClass
+phpgwAccountType = phpgwAccountType
+phpgwAccountVisible = phpgwAccountVisible
+mailAlternateAddress = mailAlternateAddress
Index: trunk/prototype/modules/calendar/interceptors/Notifications.php
===================================================================
--- trunk/prototype/modules/calendar/interceptors/Notifications.php	(revision 5523)
+++ trunk/prototype/modules/calendar/interceptors/Notifications.php	(revision 5804)
@@ -148,7 +148,7 @@
 
 		$data['nowStartDate'] = date_format( $sTime , 'd/m/Y');
-        $data['nowStartTime'] = ($schedulableReference['allDay']) ? '' : date_format( $sTime , 'H:i');
-        $data['nowEndDate'] = date_format( $eTime , 'd/m/Y');
-        $data['nowEndTime'] = ($schedulableReference['allDay']) ? '' :  date_format( $eTime , 'H:i');
+                $data['nowStartTime'] = ($schedulableReference['allDay']) ? '' : date_format( $sTime , 'H:i');
+                $data['nowEndDate'] = date_format( $eTime , 'd/m/Y');
+                $data['nowEndTime'] = ($schedulableReference['allDay']) ? '' :  date_format( $eTime , 'H:i');
 		$data['userRequest'] = Config::me('uid');
 		
@@ -161,5 +161,5 @@
 		$params['body'] = parseTPL::load_tpl( $data ,ROOTPATH.'/modules/calendar/templates/notify_suggestion_body.tpl');
 		$params['subject'] = parseTPL::load_tpl( $subject ,ROOTPATH.'/modules/calendar/templates/notify_subject.tpl');;
-		$params['from'] = Config::me('mail');   
+		$params['from'] ='"'.Config::me('cn').'" <'.Config::me('mail').'>';   
 		$params['to'] = $organizer['user']['mail'];
 		
@@ -192,5 +192,5 @@
 		$params['subject'] = parseTPL::load_tpl( $subject ,ROOTPATH.'/modules/calendar/templates/notify_subject.tpl');;
 		$params['to'] = $params['from'];
-		$params['from'] = Config::me('mail');   
+		$params['from'] = $params['from'] ='"'.Config::me('cn').'" <'.Config::me('mail').'>';
 	}
 	
@@ -435,5 +435,5 @@
        $mail['body'] = parseTPL::load_tpl( $data ,ROOTPATH.'/modules/calendar/templates/'.$template.'.tpl');
        $mail['subject'] = parseTPL::load_tpl( $subject ,ROOTPATH.'/modules/calendar/templates/notify_subject.tpl');;
-       $mail['from'] = Config::me('mail');   
+       $mail['from'] = '"'.Config::me('cn').'" <'.Config::me('mail').'>';
        $mail['to'] = $to;
        Controller::create( array( 'service' => 'SMTP' ), $mail ); 
Index: trunk/prototype/modules/calendar/interceptors/LDAPMapping.php
===================================================================
--- trunk/prototype/modules/calendar/interceptors/LDAPMapping.php	(revision 5437)
+++ trunk/prototype/modules/calendar/interceptors/LDAPMapping.php	(revision 5804)
@@ -36,8 +36,60 @@
                                                           )
                                                 );
+            
+                else
+                     $criteria['filter'] = array('AND',
+                                                array('AND' , 
+                                                            array('=' , 'objectClass' , 'phpgwAccount'),
+                                                            array('OR' , 
+                                                                        array('=' , 'phpgwAccountType' , 'i'),
+                                                                        array('=' , 'phpgwAccountType' , 'u'),
+                                                                        array('=' , 'phpgwAccountType' , 's')
+                                                                 )
+                                                     ),$criteria['filter']
+                                                );                      
             }
           
     }  
    
+
+       public function encodeFindGroup( &$uri , &$params , &$criteria , $original ){
+            if(isset($criteria['filter']))
+            {
+                if($criteria['filter'][0] === '*' && $criteria['filter'][1] === 'name') //Busca pelo nome group DFD00032
+                    $criteria['filter'] = array('AND',
+                                                array('AND' , 
+                                                            array('=' , 'objectClass' , 'phpgwAccount'),
+                                                            array('=' , 'phpgwAccountType' , 'g')
+                                                                 
+                                                    ),
+                                                 array('AND' ,  
+                                                                array('!','phpgwAccountVisible','-1'),
+                                                                array('OR', 
+                                                                        array('=','accountStatus','active'),
+                                                                        array('=','objectClass','posixGroup')
+                                                                    ),
+                                                                array('OR', 
+                                                                        array('*','name',$criteria['filter'][2]),
+                                                                        array('*','id',$criteria['filter'][2]),
+                                                                        array('*','mail',$criteria['filter'][2]),
+                                                                        array('*','mailAlternateAddress',$criteria['filter'][2]),
+                                                                    )
+                                                          )
+                                                );
+                
+                
+                    else
+                        $criteria['filter'] = array('AND',
+                            array('AND' , 
+                                        array('=' , 'objectClass' , 'phpgwAccount'),
+                                        array('=' , 'phpgwAccountType' , 'g')
+                                    ),$criteria['filter']
+                            );                      
+            }
+          
+    }  
+     
+    
+    
 }
 
Index: trunk/prototype/modules/calendar/interceptors/DBMapping.php
===================================================================
--- trunk/prototype/modules/calendar/interceptors/DBMapping.php	(revision 5798)
+++ trunk/prototype/modules/calendar/interceptors/DBMapping.php	(revision 5804)
@@ -468,6 +468,11 @@
 			
 			foreach($newResult as $key => &$value){
-				if($value['user']  != 0)
-					$value['user'] = Controller::read( array( 'concept' => 'user' , 'id' => $value['user'] ));
+                                if($value['user']  != 0){
+                                    $user = $value['user'];
+                                    $value['user'] = Controller::read( array( 'concept' => 'user' , 'id' => $user ));
+
+                                    if(!$value['user'])
+                                        $value['user'] = Controller::read( array( 'concept' => 'group' , 'id' => $user ));
+                                }
 			}
 
@@ -640,18 +645,21 @@
                 if(isset($v['calendar'])){
                     $result[$i]['calendar'] = Controller::read( array( 'concept' => 'calendar' , 'id' => $v['calendar']), false, false); 
-					$result[$i]['defaultAlarms'] = Controller::find( array( 'concept' => 'calendarSignatureAlarm' ) , false ,array( 'filter' => array('=', 'calendarSignature'  ,  $v['id']) ));    
-					//Caso não seja o dono da agenda retorna o objeto permission com as acls
-					if($result[$i]['isOwner'] == 0){
-						$permission = Controller::find( array( 'concept' => 'calendarToPermission'), false ,array( 'filter' => array('AND', array('=', 'calendar' ,  $v['calendar']), array('=', 'user', Config::me('uidNumber') ) ) ) ); 
-
-						if(!is_array($permission) || !$permission  ){
-
-							$permission = Controller::find( array( 'concept' => 'calendarToPermission'), false ,array( 'filter' => array('AND', array('=', 'calendar' ,  $v['calendar']), array('=', 'type', '1' ) ) ) );    
-
-						}
-						$result[$i]['permission'] = $permission[0];
-					}
-				}
-           }
+                    $result[$i]['defaultAlarms'] = Controller::find( array( 'concept' => 'calendarSignatureAlarm' ) , false ,array( 'filter' => array('=', 'calendarSignature'  ,  $v['id']) ));    
+                    //Caso não seja o dono da agenda retorna o objeto permission com as acls
+                    if($result[$i]['isOwner'] == 0){
+                            $permission = Controller::find( array( 'concept' => 'calendarToPermission'), false ,array( 'filter' => array('AND', array('=', 'calendar' ,  $v['calendar']), array('=', 'user', Config::me('uidNumber') ) ) ) ); 
+
+                            if(!is_array($permission) || !$permission  ){
+
+                                    $permission = Controller::find( array( 'concept' => 'calendarToPermission'), false ,array( 'filter' => array('AND', array('=', 'calendar' ,  $v['calendar']), array('=', 'type', '1' ) ) ) );    
+
+                            }
+                            $result[$i]['permission'] = $permission[0];
+                    }
+            }
+            //TODO - Padronizar retorno do deepness
+//            if(isset($v['user']))
+//                $result[$i]['user'] = Controller::read( array( 'concept' => 'user' , 'id' => $v['user']), false, false); 
+          }
        }       
    } 
Index: trunk/prototype/modules/calendar/constants.php
===================================================================
--- trunk/prototype/modules/calendar/constants.php	(revision 5780)
+++ trunk/prototype/modules/calendar/constants.php	(revision 5804)
@@ -44,3 +44,4 @@
 define('CALENDAR_ACL_BUSY', 'b');
 define('CALENDAR_ACL_SHARED', 's');
+define('CALENDAR_ACL_REQUIRED', 'p');
 ?>
Index: trunk/prototype/modules/calendar/js/calendar.codecs.js
===================================================================
--- trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 5752)
+++ trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 5804)
@@ -44,5 +44,6 @@
 	'd' : 'remove',
 	'b' : 'busy',
-	's' : 'shared'
+	's' : 'shared',
+        'p' : 'required'
 }
 
@@ -145,6 +146,14 @@
 		*  quando forçado um get do banco, deverá ser criado uma condição para o mesmo
 		*/
-		var descart = DataLayer.get("calendarSignature", {filter: ['=', 'user', User.me.id], criteria: {deepness: 2}});
-		this.signatures  = DataLayer.get("calendarSignature", {filter: ['=', 'user', User.me.id], criteria: {deepness: 2}}, true);
+		var filter = ['=', 'user', User.me.id];
+		if(!!User.me.gidNumber){
+			if(!$.isArray(User.me.gidNumber))
+				User.me.gidNumber = [User.me.gidNumber];
+
+			filter = ['OR', filter, ['IN', 'user', User.me.gidNumber]];
+		}
+		
+		var descart = DataLayer.get("calendarSignature", {filter: filter, criteria: {deepness: 2}});
+		this.signatures  = DataLayer.get("calendarSignature", {filter: filter, criteria: {deepness: 2}}, true);
 	  
 		var prevSources = this.sources;
Index: trunk/expressoMail1_2/index.php
===================================================================
--- trunk/expressoMail1_2/index.php	(revision 5782)
+++ trunk/expressoMail1_2/index.php	(revision 5804)
@@ -166,5 +166,10 @@
     $c = CreateObject('phpgwapi.config','expressoMail1_2');
     $c->read_repository();
-    $current_config = $c->config_data;    
+    $current_config = $c->config_data;
+    
+    // Loading Config Module
+    $conf = CreateObject('phpgwapi.config','phpgwapi');
+    $conf->read_repository();
+    $config = $conf->config_data;   
 
     //Carrega Configuração global do expressoMail 
@@ -302,5 +307,5 @@
 		var token_param = "'.$var_tokens.'";
 		var locale = "'.$GLOBALS['phpgw']->common->getPreferredLanguage().'";
-		var new_agenda = "'.$current_config['new_agenda'].'";
+		var defaultCalendar = "'.  (isset($config['defaultCalendar']) ?  $config['defaultCalendar']  :  "calendar" )    .'";
 		$("#sideboxdragarea").hide();
 		$("#menu2Container").hide();
Index: trunk/expressoMail1_2/js/main.js
===================================================================
--- trunk/expressoMail1_2/js/main.js	(revision 5791)
+++ trunk/expressoMail1_2/js/main.js	(revision 5804)
@@ -3351,5 +3351,5 @@
                 write_msg(get_lang(data));
     }	
-	if(new_agenda == "True" && $("#expressoCalendarid")[0]){
+	if(defaultCalendar == "expressoCalendar" && $("#expressoCalendarid")[0]){
 		import_implements_calendar();
 		$( "#import-dialog" ).dialog({
Index: trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- trunk/expressoMail1_2/js/draw_api.js	(revision 5790)
+++ trunk/expressoMail1_2/js/draw_api.js	(revision 5804)
@@ -2914,5 +2914,5 @@
 	subject.innerHTML = info_msg.subject;
 	subject.className = "header_message_field";
-	if(new_agenda == "True" && $("#expressoCalendarid")[0]){
+	if(defaultCalendar == "expressoCalendar" && $("#expressoCalendarid")[0]){
 		var new_event_logo = document.createElement("IMG");
 		new_event_logo.title = "Criar evento a partir deste email";
